{"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}}},"info":{"description":"","title":"Trip.com","version":"1","x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","quote":{"header":"X-AISA-Cost-Mode","value":"quote"}},"x-aisa-catalogs":{"trip-com":{"description":"","title":"Trip.com","x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","quote":{"header":"X-AISA-Cost-Mode","value":"quote"}},"x-aisa-document":{"facts_hash":"65d707c778437c3ca7b0737f6636041a9304701e66ada42107c6676db1b2704b","generator_version":"3","protocol_version":"1","schema_version":"1"},"x-aisa-plans":{"builder":1.0,"display_plan":"payg","payg":1.0,"similarweb_payg":1.0,"team":1.0,"version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"}}},"x-aisa-configured-paths":["/apis/v1/trip-com/hotels/amenities","/apis/v1/trip-com/hotels/destinations","/apis/v1/trip-com/hotels/hotel","/apis/v1/trip-com/hotels/hotels","/apis/v1/trip-com/hotels/policies","/apis/v1/trip-com/hotels/rooms"],"x-aisa-document":{"composer_version":"28","document_hash":"sha256:be6f1bee0fba41f9d0f795904e8b59ce927af694d4df0b94372b0d8cc1e5d944","facts_hash":"65d707c778437c3ca7b0737f6636041a9304701e66ada42107c6676db1b2704b","generator_version":"3","protocol_version":"1","response_pending":[],"schema_version":"1"},"x-aisa-plans":{"builder":1.0,"display_plan":"payg","payg":1.0,"similarweb_payg":1.0,"team":1.0,"version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"},"x-aisa-provider":"trip-com"},"jsonSchemaDialect":"https://json-schema.org/draft/2020-12/schema","openapi":"3.1.0","paths":{"/apis/v1/trip-com/hotels/amenities":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.amenities","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Amenities","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-amenities","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"af5a4807dc5d"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.amenities","path":"/apis/v1/trip-com/hotels/amenities"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/amenities \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}},"/apis/v1/trip-com/hotels/destinations":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.destinations","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Destinations","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-destinations","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"7ad89e1a9687"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.destinations","path":"/apis/v1/trip-com/hotels/destinations"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/destinations \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}},"/apis/v1/trip-com/hotels/hotel":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.hotel","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Hotel","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-hotel","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"3db7e7eb3431"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.hotel","path":"/apis/v1/trip-com/hotels/hotel"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/hotel \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}},"/apis/v1/trip-com/hotels/hotels":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.hotels","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Hotels","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-hotels","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"f38a0778cf70"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.hotels","path":"/apis/v1/trip-com/hotels/hotels"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/hotels \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}},"/apis/v1/trip-com/hotels/policies":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.policies","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Policies","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-policies","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"e15d07bad4bc"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.policies","path":"/apis/v1/trip-com/hotels/policies"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/policies \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}},"/apis/v1/trip-com/hotels/rooms":{"post":{"description":"<!-- aisa-pricing:start -->\nUsage-based billing; Default request estimate: $0.0005 USD (not a fixed price). Declared unit rate: $0.0001 USD per provider_credit. Account-specific pricing and final settlement may differ.\n<!-- aisa-pricing:end -->","operationId":"trip-com.hotels.rooms","requestBody":{"content":{"application/json":{"examples":{"default":{"value":{"url":"https://example.com"}},"minimal":{"value":{"url":"https://example.com"}}},"schema":{"additionalProperties":true,"properties":{"url":{"type":"string"}},"required":["url"],"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful response. The payload schema has not been reviewed yet."},"default":{"content":{"application/json":{"schema":{}}},"description":"Error response; upstream passthrough responses may use provider formats"}},"summary":"Rooms","tags":["Trip.com"],"x-aisa-capabilities":{"idempotency":"Idempotency-Key","max_price":"X-AISA-Max-Price-USD","mpp":false,"mpp_methods":[],"quote":{"header":"X-AISA-Cost-Mode","value":"quote"},"x402":false},"x-aisa-catalog-id":"trip-com","x-aisa-category":"commerce","x-aisa-docs-url":"https://aisa.one/docs/api-reference/trip-com/trip-com-hotels-rooms","x-aisa-passthrough":true,"x-aisa-pricing":{"cost_contract":"response_units","customer_multiplier":1.0,"customer_pricing":"provider_cost_multiplier","default_request_estimate_usd":0.0005,"estimate_source":"profile_seed","evidence_source":"response_body","unit":"provider_credit","unit_rate_usd":0.0001},"x-aisa-query-policy":{"ignore_undeclared":false,"request_wins":false},"x-aisa-review":{"request":"runtime_binding","response":"generic","status":"unreviewed"},"x-aisa-revision":{"customer_pricing_ref":"660b80f46152","plan_policy_version":"e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb","profile_ref":"168e6b4ffa2c"},"x-aisa-runtime-operation":{"method":"POST","operation_id":"trip-com.hotels.rooms","path":"/apis/v1/trip-com/hotels/rooms"},"x-aisa-status":"enabled","x-aisa-validation":"mixed","x-codeSamples":[{"label":"Reference example","lang":"text","source":"# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/trip-com/hotels/rooms \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"url\": \"https://example.com\"\n}'"}]}}},"security":[{"bearerAuth":[]}],"servers":[{"url":"https://api.aisa.one"}]}
